[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.QualifiedClassName

Fully qualified classname

## Declaration

Source position: objpash.inc line 253

`public class function TObject.QualifiedClassName: ansistring;`

## Description

QualifiedClassName is the classname TObject.ClassName prepended with the unit name TObject.UnitName of the unit in which the class is defined. As such, this is a unique name for each class in the program.

## See also

TObject.ClassName |  | Return the current class name.
TObject.UnitName |  | Unit name